#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(dfl_feature_ioctl_set_irq, 0x103e2480, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_get_num_irqs, 0x218663d1, "_gpl");
SYMBOL_CRC(dfl_fpga_set_irq_triggers, 0xaaa25ce4, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_vf, 0xdb53d22b, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_pf, 0xdec7a459, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_assign_port, 0xdc9120d1, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_release_port, 0x80a2afeb, "_gpl");
SYMBOL_CRC(__dfl_fpga_cdev_find_port, 0x1d2f1d33, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_remove, 0x76c6ab62, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_enumerate, 0xc44d468f, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_irq, 0x20f482f3, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_dfl, 0x214935a3, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_free, 0x50d479b0, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_alloc, 0x4ce2d7c4, "_gpl");
SYMBOL_CRC(dfh_find_param, 0x7bf36354, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_unregister, 0x4b85a187, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_register, 0xd52f93bd, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_feature_init, 0xd4e2f061, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_feature_uinit, 0xd5de2f94, "_gpl");
SYMBOL_CRC(dfl_driver_unregister, 0xbd372019, "");
SYMBOL_CRC(__dfl_driver_register, 0xfa90d123, "");
SYMBOL_CRC(dfl_fpga_check_port_id, 0x528ac57f, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_del, 0xa381f5ba, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_add, 0x7605eab8, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_put, 0xbaf021f7, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_get, 0x838442fb, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xce1edec, "platform_device_put" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xc2e4c1e7, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xfb04f607, "devm_platform_ioremap_resource" },
	{ 0xb39285f3, "devm_kmalloc" },
	{ 0x24c00a72, "dev_set_name" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xd3af979c, "memdup_user" },
	{ 0x580d175d, "devm_iounmap" },
	{ 0xbb5e876, "device_unregister" },
	{ 0x8bded20f, "zpci_load" },
	{ 0xc4075035, "devm_ioremap" },
	{ 0xd308f96, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xd9a2d43a, "device_for_each_child" },
	{ 0xcb0ea900, "get_device" },
	{ 0x2925fd25, "__dynamic_dev_dbg" },
	{ 0xb90aeb09, "__devm_request_region" },
	{ 0xda7f232, "put_device" },
	{ 0xf4784852, "_dev_info" },
	{ 0xe80a5b05, "module_put" },
	{ 0xb0ef9aaa, "cdev_add" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x315389a7, "devm_kmemdup" },
	{ 0x8d8d5da6, "bus_unregister" },
	{ 0xd1132655, "devm_kfree" },
	{ 0xde86fd7d, "_dev_err" },
	{ 0xfd9c0145, "device_add" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xdcdde9a0, "platform_device_unregister" },
	{ 0xc704b990, "fpga_region_unregister" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xd8e7139a, "platform_device_add" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x9850d5e7, "driver_unregister" },
	{ 0x5545c41e, "platform_device_alloc" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x20859f5a, "platform_device_del" },
	{ 0x9f1e221f, "kmalloc_large" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0x862519ce, "_dev_warn" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x1d29d4de, "__devm_release_region" },
	{ 0xf94df030, "devm_ioremap_resource" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x92125378, "kmalloc_trace" },
	{ 0xc5e74216, "release_resource" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0x77358855, "iomem_resource" },
	{ 0xe64f1100, "__fpga_region_register" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xcbb22644, "driver_register" },
	{ 0xc39b5cde, "cdev_init" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xf363f5fe, "kmalloc_caches" },
	{ 0xae492731, "cdev_del" },
	{ 0x79ec71f9, "bus_register" },
	{ 0x44e37ce2, "module_layout" },
};

MODULE_INFO(depends, "fpga-region");


MODULE_INFO(srcversion, "A1E7430B757B4D47852F842");

MODULE_INFO(suserelease, "SLE15-SP6");
