#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(iscsi_find_param_from_key, 0xf34332f0, "");
SYMBOL_CRC(iscsit_get_datain_values, 0x8ad78bba, "");
SYMBOL_CRC(iscsit_increment_maxcmdsn, 0xdb90c03a, "");
SYMBOL_CRC(iscsit_cause_connection_reinstatement, 0x0e6bacf2, "");
SYMBOL_CRC(iscsit_stop_dataout_timer, 0xde3cd100, "");
SYMBOL_CRC(iscsi_change_param_sprintf, 0xb3d8c753, "");
SYMBOL_CRC(iscsi_target_check_login_request, 0xa144c212, "");
SYMBOL_CRC(iscsit_tmr_post_handler, 0x5426bf3a, "");
SYMBOL_CRC(iscsit_free_cmd, 0xd8ca79c6, "");
SYMBOL_CRC(iscsit_release_cmd, 0xf801aa59, "");
SYMBOL_CRC(iscsit_add_cmd_to_immediate_queue, 0x49e6610d, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt_or_dump, 0x8cc1eaaf, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt, 0x6337677d, "");
SYMBOL_CRC(iscsit_sequence_cmd, 0x0de1793a, "");
SYMBOL_CRC(iscsit_allocate_cmd, 0x8a138eaf, "");
SYMBOL_CRC(iscsit_logout_post_handler, 0xcb9c9021, "");
SYMBOL_CRC(iscsit_response_queue, 0x3d052d14, "");
SYMBOL_CRC(iscsit_immediate_queue, 0x471241f7, "");
SYMBOL_CRC(iscsit_thread_check_cpumask, 0x3c54de6b, "");
SYMBOL_CRC(iscsit_build_reject, 0x73861a88, "");
SYMBOL_CRC(iscsit_build_text_rsp, 0x9a4235cb, "");
SYMBOL_CRC(iscsit_build_task_mgt_rsp, 0x6955a6b7, "");
SYMBOL_CRC(iscsit_build_rsp_pdu, 0x2283794f, "");
SYMBOL_CRC(iscsit_build_r2ts_for_cmd, 0x3755218f, "");
SYMBOL_CRC(iscsit_build_nopin_rsp, 0xb5c77fd8, "");
SYMBOL_CRC(iscsit_build_logout_rsp, 0xe159cbd8, "");
SYMBOL_CRC(iscsit_build_datain_pdu, 0xf2f95c43, "");
SYMBOL_CRC(iscsit_handle_snack, 0xf2129459, "");
SYMBOL_CRC(iscsit_handle_logout_cmd, 0x85d7e003, "");
SYMBOL_CRC(iscsit_process_text_cmd, 0x3ee55fcd, "");
SYMBOL_CRC(iscsit_setup_text_cmd, 0xb2c494ee, "");
SYMBOL_CRC(iscsit_handle_task_mgt_cmd, 0xb01c382a, "");
SYMBOL_CRC(iscsit_process_nop_out, 0x386b9f0f, "");
SYMBOL_CRC(iscsit_setup_nop_out, 0x6fcef3e8, "");
SYMBOL_CRC(iscsit_check_dataout_payload, 0x44fbfaa7, "");
SYMBOL_CRC(iscsit_check_dataout_hdr, 0xdfad79bb, "");
SYMBOL_CRC(__iscsit_check_dataout_hdr, 0xb3b7846a, "");
SYMBOL_CRC(iscsit_process_scsi_cmd, 0x245c9442, "");
SYMBOL_CRC(iscsit_set_unsolicited_dataout, 0x86428cf1, "");
SYMBOL_CRC(iscsit_setup_scsi_cmd, 0x86655ffe, "");
SYMBOL_CRC(iscsit_reject_cmd, 0x93e50aac, "");
SYMBOL_CRC(iscsit_add_reject, 0x0f056d0a, "");
SYMBOL_CRC(iscsit_aborted_task, 0x2020b158, "");
SYMBOL_CRC(iscsit_queue_rsp, 0x3e44d1d6, "");
SYMBOL_CRC(iscsit_unregister_transport, 0x5683f8cf, "");
SYMBOL_CRC(iscsit_register_transport, 0x156fe8c5, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4a4c4764, "crypto_alloc_ahash" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0xe7b37d88, "target_alloc_cmd_counter" },
	{ 0x6c0b8d05, "core_alua_check_nonop_delay" },
	{ 0xff7ad1b5, "krealloc" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xc2e4c1e7, "try_module_get" },
	{ 0xafa3a581, "vmemmap" },
	{ 0x8af7d82c, "target_wait_for_cmds" },
	{ 0xf1c2ff0e, "transport_generic_new_cmd" },
	{ 0xd4f410d0, "target_free_cmd_counter" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0x2e4d1fbd, "target_execute_cmd" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x5ce67231, "kernel_bind" },
	{ 0xd566933c, "up" },
	{ 0x7b34c67f, "sock_create" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x236c8c64, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xb320cc0e, "sg_init_one" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x2e161a1, "kernel_accept" },
	{ 0x9adc9c67, "vsnprintf" },
	{ 0x6a0d6693, "kmem_cache_create" },
	{ 0x21166a32, "core_tpg_set_initiator_node_queue_depth" },
	{ 0xc07557cb, "target_stop_cmd_counter" },
	{ 0x65bf51d3, "transport_generic_handle_tmr" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x4610a400, "transport_lookup_tmr_lun" },
	{ 0x87fcab48, "hex2bin" },
	{ 0xfd331753, "wake_up_process" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x21f21ab9, "crypto_destroy_tfm" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0xecf7030b, "transport_alloc_session_tags" },
	{ 0x7a1134f0, "transport_alloc_session" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0x92997ed8, "_printk" },
	{ 0xe3292a95, "sbitmap_prepare_to_wait" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xdf155157, "target_unregister_template" },
	{ 0xe4123574, "transport_send_check_condition_and_sense" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xc3e8126c, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x8c13e538, "transport_free_session" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe80a5b05, "module_put" },
	{ 0x3597592e, "flush_signals" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xb8b3a112, "__traceiter_sk_data_ready" },
	{ 0x395afb9c, "init_net" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xe8ba125d, "kmemdup_nul" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4215ac62, "config_group_init_type_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x954f099c, "idr_preload" },
	{ 0x195039fb, "mem_section" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x5a970bce, "kmem_cache_free" },
	{ 0xeea0363a, "set_cpus_allowed_ptr" },
	{ 0x672144bd, "strlcpy" },
	{ 0xec8979ce, "transport_deregister_session_configfs" },
	{ 0x85abc85f, "strncmp" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x69925d0e, "sbitmap_queue_clear" },
	{ 0xb006f6dd, "iov_iter_kvec" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x6f53043d, "wait_for_completion_interruptible" },
	{ 0xdd16af92, "inet_pton_with_scope" },
	{ 0x9626506c, "sock_sendmsg" },
	{ 0x6d350a80, "crypto_shash_update" },
	{ 0x502eee15, "core_tpg_set_initiator_node_tag" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdd1275bd, "kthread_stop" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0x11089ac7, "_ctype" },
	{ 0xb6a049b0, "target_cmd_parse_cdb" },
	{ 0x726b9568, "sock_set_reuseaddr" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xb2cd9887, "crypto_ahash_finup" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xa0731e8b, "iov_iter_bvec" },
	{ 0x6d1ea6ec, "strlcat" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xed5fa608, "crypto_ahash_digest" },
	{ 0x6108288f, "complete_all" },
	{ 0x3e2f6a10, "crypto_ahash_final" },
	{ 0xa5330a6a, "__target_init_cmd" },
	{ 0xe798236d, "jiffies" },
	{ 0x4f4f0c14, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x6a97b7f8, "transport_lookup_cmd_lun" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xee13e9b8, "core_tpg_check_initiator_node_acl" },
	{ 0xec3ebac7, "target_cmd_init_cdb" },
	{ 0xf5104a8e, "kernel_listen" },
	{ 0x5c999a72, "core_tmr_alloc_req" },
	{ 0x999e8297, "vfree" },
	{ 0xa5a8aa45, "ip_sock_set_freebind" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0xc1b990aa, "sbitmap_finish_wait" },
	{ 0x85df9b6c, "strsep" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf4b0896a, "crypto_shash_finup" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xa00fb5e9, "transport_wait_for_tasks" },
	{ 0xbb9d0dc5, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x63a7c28c, "bitmap_find_free_region" },
	{ 0x80724123, "transport_handle_cdb_direct" },
	{ 0x738d3819, "target_get_sess_cmd" },
	{ 0x97f63bc1, "target_complete_cmd" },
	{ 0x87b8798d, "sg_next" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1a336824, "sock_recvmsg" },
	{ 0xfcb12bab, "core_tpg_deregister" },
	{ 0x165d15e2, "down_interruptible" },
	{ 0xb3719b90, "__transport_register_session" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x1d0b5bfc, "target_show_dynamic_sessions" },
	{ 0x711f6935, "sock_release" },
	{ 0x981a4915, "target_register_template" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x2dc8c17a, "tcp_sock_set_nodelay" },
	{ 0xc017f8ca, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x92125378, "kmalloc_trace" },
	{ 0xefce8f59, "transport_generic_free_cmd" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xf2b633a5, "core_tpg_register" },
	{ 0x970d356b, "target_put_sess_cmd" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0x193a5f0d, "transport_deregister_session" },
	{ 0xaa8f1b71, "inet_addr_is_any" },
	{ 0x349cba85, "strchr" },
	{ 0xfd35c5a1, "crypto_alloc_shash" },
	{ 0x42468543, "__sbitmap_queue_get" },
	{ 0xf888ca21, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xf363f5fe, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xc6bddfcb, "kmem_cache_destroy" },
	{ 0x771974ed, "target_tpg_has_node_acl" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x44e37ce2, "module_layout" },
};

MODULE_INFO(depends, "target_core_mod,scsi_mod,configfs");


MODULE_INFO(srcversion, "2E3EDF512FF826C4B943362");

MODULE_INFO(suserelease, "SLE15-SP6");
