#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe60c6be3, "set_capacity_and_notify" },
	{ 0x70e1f329, "osd_req_op_extent_osd_data_bvec_pos" },
	{ 0x44593d14, "set_disk_ro" },
	{ 0x3524c308, "ceph_find_or_create_string" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x5cd6f99b, "completion_done" },
	{ 0xc2e4c1e7, "try_module_get" },
	{ 0xafa3a581, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xdfc091f9, "ceph_entity_type_name" },
	{ 0x9ca95932, "ceph_create_snap_context" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc670e608, "ceph_create_client" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0x4675e3a1, "ceph_osdc_watch" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x45f92af9, "fs_param_is_string" },
	{ 0x2101cbc9, "ceph_oid_destroy" },
	{ 0x24c00a72, "dev_set_name" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x52bf3038, "blk_queue_max_segment_size" },
	{ 0xf1666cb8, "device_add_disk" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbb5e876, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x55265be5, "ceph_osdc_put_request" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x7aa5b450, "ceph_cls_assert_locked" },
	{ 0xccb491e8, "bsearch" },
	{ 0xf8979265, "ceph_copy_from_page_vector" },
	{ 0x51473316, "__cpu_present_mask" },
	{ 0xd308f96, "device_initialize" },
	{ 0x86fca7e4, "ceph_put_snap_context" },
	{ 0xe5f04769, "ceph_parse_param" },
	{ 0xc28fbd4, "ceph_client_gid" },
	{ 0x5c146ab5, "ceph_cls_break_lock" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xea1ca9f7, "fs_param_is_enum" },
	{ 0x172c98a5, "logfc" },
	{ 0x92995ec, "ceph_monc_blocklist_add" },
	{ 0x466b85b8, "libceph_compatible" },
	{ 0xc5f53417, "osd_req_op_alloc_hint_init" },
	{ 0xca80437b, "ceph_extent_to_file" },
	{ 0x4adb6518, "ceph_cls_set_cookie" },
	{ 0x6412e144, "__module_get" },
	{ 0x6a0d6693, "kmem_cache_create" },
	{ 0xcb0ea900, "get_device" },
	{ 0x481bbcd6, "blk_mq_end_request" },
	{ 0xbd013e7f, "__blk_mq_alloc_disk" },
	{ 0x5c012a50, "ceph_osdc_alloc_messages" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6152c452, "ceph_osdc_call" },
	{ 0xf4631cfc, "osd_req_op_cls_request_data_bvecs" },
	{ 0xbff2344, "ceph_osdc_flush_notifies" },
	{ 0x552c57bb, "blk_mq_alloc_tag_set" },
	{ 0xa698f998, "ceph_free_lockers" },
	{ 0x987d3968, "ceph_alloc_options" },
	{ 0x45acb011, "fs_param_is_u32" },
	{ 0x92997ed8, "_printk" },
	{ 0xf254297e, "ceph_addr_is_blank" },
	{ 0x83495fd3, "put_disk" },
	{ 0x9ed90ee8, "ceph_release_page_vector" },
	{ 0x6be6de7d, "ceph_wait_for_latest_osdmap" },
	{ 0x3c8d7111, "ceph_get_num_objects" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xda7f232, "put_device" },
	{ 0x9adc445, "ceph_cls_lock_info" },
	{ 0x41456849, "blk_queue_flag_set" },
	{ 0x6120024, "osd_req_op_cls_request_data_pages" },
	{ 0x15938ed7, "__free_pages" },
	{ 0xc3e8126c, "kmem_cache_alloc" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe80a5b05, "module_put" },
	{ 0xcab25d94, "ceph_pg_pool_name_by_id" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0x10629742, "ceph_osdc_wait_request" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xbc98cee2, "ceph_oloc_copy" },
	{ 0x507b25d0, "kstrndup" },
	{ 0x5aeeee62, "ceph_oid_aprintf" },
	{ 0x8d8d5da6, "bus_unregister" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0xfd9c0145, "device_add" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0x2087719e, "ceph_oid_copy" },
	{ 0xe8ba125d, "kmemdup_nul" },
	{ 0xd680fcc0, "ceph_osdc_notify_ack" },
	{ 0x4f4e665f, "set_capacity" },
	{ 0x969ea04c, "ceph_osdc_unwatch" },
	{ 0x79ef4eb6, "ceph_cls_lock" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x5a970bce, "kmem_cache_free" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0xeef6cfa3, "ceph_iterate_extents" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x64a88aeb, "ceph_osdc_start_request" },
	{ 0xfc583c98, "blk_mq_free_tag_set" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x21c07f88, "del_gendisk" },
	{ 0xeb6cebc9, "blk_queue_max_discard_sectors" },
	{ 0xcecd66a6, "ceph_compare_options" },
	{ 0xb14de101, "ceph_parse_mon_ips" },
	{ 0xb320e6ff, "ceph_client_addr" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0x38f2d94e, "ceph_file_to_extents" },
	{ 0xeb8d6248, "device_register" },
	{ 0xd95b6722, "device_del" },
	{ 0xa610ad07, "osd_req_op_extent_init" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xcddd24ca, "ceph_osdc_alloc_request" },
	{ 0x8111e973, "ceph_pg_poolid_by_name" },
	{ 0xe600e37d, "osd_req_op_init" },
	{ 0xbe3879aa, "ceph_get_snap_context" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x7667e51, "blk_queue_max_segments" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa51c025a, "ceph_osdc_notify" },
	{ 0x6108288f, "complete_all" },
	{ 0x103bafd6, "down_read" },
	{ 0x2256a61d, "osd_req_op_extent_osd_data_pages" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x64da31d, "ceph_destroy_client" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xafe82e10, "strcspn" },
	{ 0x21e7e9de, "blk_queue_max_write_zeroes_sectors" },
	{ 0xf07aa7d4, "blk_mq_freeze_queue" },
	{ 0x85df9b6c, "strsep" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfd22e100, "param_ops_bool" },
	{ 0xa503dd04, "wait_for_completion_killable_timeout" },
	{ 0xa6b71e61, "alloc_pages" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x93e3b16a, "ceph_alloc_page_vector" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7f857fc1, "blk_queue_io_min" },
	{ 0xb114bd8d, "osd_req_op_cls_init" },
	{ 0x3746c25c, "ceph_oloc_destroy" },
	{ 0x7ef82c3, "ceph_open_session" },
	{ 0x12e2a4e, "blk_mq_start_request" },
	{ 0x4e9e6a05, "downgrade_write" },
	{ 0xbf162ec6, "ceph_osdc_list_watchers" },
	{ 0xf74d539, "__fs_parse" },
	{ 0x92125378, "kmalloc_trace" },
	{ 0x8281e653, "blk_queue_max_hw_sectors" },
	{ 0x3fa913da, "strspn" },
	{ 0x1a47f8e0, "blk_mark_disk_dead" },
	{ 0x260b276b, "osd_req_op_raw_data_in_pages" },
	{ 0x6de56184, "ceph_cls_unlock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0xd4d736db, "ceph_destroy_options" },
	{ 0xdcc857b9, "blk_queue_io_opt" },
	{ 0x1f76b5c4, "osd_req_op_extent_osd_data_bio" },
	{ 0x555ccb97, "up_read" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xf363f5fe, "kmalloc_caches" },
	{ 0xdf6ef4a1, "ceph_oid_printf" },
	{ 0x79ec71f9, "bus_register" },
	{ 0xc6bddfcb, "kmem_cache_destroy" },
	{ 0x44e37ce2, "module_layout" },
};

MODULE_INFO(depends, "libceph");


MODULE_INFO(srcversion, "2E04E194FE510E70520A296");

MODULE_INFO(suserelease, "SLE15-SP6");
