#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(nvme_fc_io_getuuid, 0xb58f3678, "_gpl");
SYMBOL_CRC(nvme_fc_rcv_ls_req, 0xbb0e18a6, "_gpl");
SYMBOL_CRC(nvme_fc_set_remoteport_devloss, 0x8a9cf5a7, "_gpl");
SYMBOL_CRC(nvme_fc_rescan_remoteport, 0x3e33ac54, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_remoteport, 0xfca9dc99, "_gpl");
SYMBOL_CRC(nvme_fc_register_remoteport, 0x0d12e564, "_gpl");
SYMBOL_CRC(nvme_fc_unregister_localport, 0x3884f8b8, "_gpl");
SYMBOL_CRC(nvme_fc_register_localport, 0xac309a60, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xafa45908, "nvme_remove_admin_tag_set" },
	{ 0x6c54ab21, "nvme_sync_io_queues" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xafa3a581, "vmemmap" },
	{ 0x4b46b4f, "nvme_uninit_ctrl" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0xd34836f6, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5fb7a32d, "nvmf_free_options" },
	{ 0xa897c015, "nvmf_subsystem_reset" },
	{ 0x64a9fdf5, "blk_mq_tagset_wait_completed_request" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xf1ad3523, "nvme_stop_keep_alive" },
	{ 0xf44daa19, "blk_mq_complete_request_remote" },
	{ 0xc16385a8, "dma_unmap_page_attrs" },
	{ 0xf375d10d, "nvme_setup_cmd" },
	{ 0xfe39b56b, "nvme_start_ctrl" },
	{ 0xee10f98d, "dma_sync_single_for_device" },
	{ 0x2ddd3d0a, "nvme_alloc_admin_tag_set" },
	{ 0xd7bd0079, "nvmf_connect_io_queue" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x274dd1a3, "sg_free_table_chained" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x64b62862, "nvme_wq" },
	{ 0x728d82c4, "nvmf_reg_read32" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xbcd44242, "nvme_delete_ctrl" },
	{ 0xcb0ea900, "get_device" },
	{ 0x252a4ab3, "nvme_should_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb93dd5b9, "dev_driver_string" },
	{ 0x6b57c99d, "nvmf_get_address" },
	{ 0x6dd5f87a, "dma_map_page_attrs" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf7f6f865, "nvme_remove_io_tag_set" },
	{ 0x10fcd7ab, "nvme_cleanup_cmd" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x28e6f29d, "nvme_mpath_start_request" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x23baa4c9, "nvmf_unregister_transport" },
	{ 0x11caf586, "blkcg_get_fc_appid" },
	{ 0xda7f232, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xe5ded16c, "nvme_change_ctrl_state" },
	{ 0xf4784852, "_dev_info" },
	{ 0x1a526e14, "nvme_init_ctrl" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0xf517d3d8, "nvme_alloc_io_tag_set" },
	{ 0x5f5170fc, "nvme_fail_nonready_command" },
	{ 0x1ab51542, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xde86fd7d, "_dev_err" },
	{ 0x77bfb43d, "device_create" },
	{ 0x79938f03, "blk_sync_queue" },
	{ 0x85abc85f, "strncmp" },
	{ 0x48e5eb7b, "blkcg_set_fc_appid" },
	{ 0x9fc5ad7f, "__blk_rq_map_sg" },
	{ 0xad4aee39, "strncpy" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x48ce48db, "nvmf_reg_read64" },
	{ 0x3deaa7d1, "class_unregister" },
	{ 0x49224181, "nvme_reset_wq" },
	{ 0x3ef33000, "nvmf_connect_admin_queue" },
	{ 0x4435a933, "nvme_enable_ctrl" },
	{ 0x6cf1209e, "nvme_unquiesce_admin_queue" },
	{ 0xfd7bba30, "dma_sync_single_for_cpu" },
	{ 0x862519ce, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xe798236d, "jiffies" },
	{ 0xfff6d6ee, "nvme_unquiesce_io_queues" },
	{ 0x4bb77bd, "blk_mq_update_nr_hw_queues" },
	{ 0xc923e736, "nvmf_reg_write32" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb90dfb70, "nvmf_should_reconnect" },
	{ 0x2b7a2f0a, "nvme_complete_async_event" },
	{ 0x87b8798d, "sg_next" },
	{ 0xdb011693, "device_destroy" },
	{ 0x2d3b6f85, "nvme_set_queue_count" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0x7bcc00e9, "nvmf_register_transport" },
	{ 0x12e2a4e, "blk_mq_start_request" },
	{ 0x74003afa, "nvme_quiesce_io_queues" },
	{ 0x461ce5f0, "blk_mq_tagset_busy_iter" },
	{ 0x36ac3788, "nvme_stop_ctrl" },
	{ 0x215b6593, "dma_unmap_sg_attrs" },
	{ 0x92125378, "kmalloc_trace" },
	{ 0xd4ee4ccb, "nvme_init_ctrl_finish" },
	{ 0x349cba85, "strchr" },
	{ 0xa6f8d39a, "nvme_reset_ctrl" },
	{ 0x1bee4974, "sg_alloc_table_chained" },
	{ 0xebe3d26e, "nvme_quiesce_admin_queue" },
	{ 0xeaa2eb09, "class_register" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x1bd25e1f, "__nvme_check_ready" },
	{ 0xf363f5fe, "kmalloc_caches" },
	{ 0x56e829e7, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x44e37ce2, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics");


MODULE_INFO(srcversion, "F0FF0B9F141F3664CEE150A");

MODULE_INFO(suserelease, "SLE15-SP6");
