#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(fcoe_ctlr_set_fip_mode, 0xdc0c7b21, "");
SYMBOL_CRC(fcoe_fcf_get_selected, 0x962c869e, "");
SYMBOL_CRC(fcoe_libfc_config, 0xf85d2dbe, "_gpl");
SYMBOL_CRC(fcoe_wwn_from_mac, 0xc3f30cc0, "_gpl");
SYMBOL_CRC(fcoe_ctlr_recv_flogi, 0x65134ffb, "");
SYMBOL_CRC(fcoe_ctlr_recv, 0xe0ec69a8, "");
SYMBOL_CRC(fcoe_ctlr_els_send, 0xc80c1838, "");
SYMBOL_CRC(fcoe_ctlr_link_down, 0x4cbe52f1, "");
SYMBOL_CRC(fcoe_ctlr_link_up, 0xe1b15f65, "");
SYMBOL_CRC(fcoe_ctlr_destroy, 0x79002be6, "");
SYMBOL_CRC(fcoe_ctlr_init, 0x73ba3bb6, "");
SYMBOL_CRC(fcoe_transport_detach, 0x7769a62e, "");
SYMBOL_CRC(fcoe_transport_attach, 0x5c7be2c5, "");
SYMBOL_CRC(fcoe_get_paged_crc_eof, 0x4bb51ecf, "_gpl");
SYMBOL_CRC(fcoe_queue_timer, 0xbac58840, "_gpl");
SYMBOL_CRC(fcoe_check_wait_queue, 0x9b0177a5, "_gpl");
SYMBOL_CRC(fcoe_clean_pending_queue, 0x9b7e83ec, "_gpl");
SYMBOL_CRC(fcoe_start_io, 0x3771cca6, "_gpl");
SYMBOL_CRC(fcoe_fc_crc, 0xb200755c, "_gpl");
SYMBOL_CRC(fcoe_get_wwn, 0xd39dafae, "_gpl");
SYMBOL_CRC(fcoe_validate_vport_create, 0xad56f86c, "_gpl");
SYMBOL_CRC(fcoe_wwn_to_str, 0xf167cb7a, "_gpl");
SYMBOL_CRC(fcoe_ctlr_get_lesb, 0xfb55e5b9, "_gpl");
SYMBOL_CRC(fcoe_get_lesb, 0x3687c519, "_gpl");
SYMBOL_CRC(__fcoe_get_lesb, 0xf27fc116, "_gpl");
SYMBOL_CRC(fcoe_link_speed_update, 0xdf2640e0, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_add, 0x8f4636c9, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_delete, 0xcaa1af43, "_gpl");
SYMBOL_CRC(fcoe_ctlr_device_delete, 0x154be279, "_gpl");
SYMBOL_CRC(fcoe_ctlr_device_add, 0xca8ee233, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7ba62d61, "fc_rport_lookup" },
	{ 0x99de7bcc, "dev_get_stats" },
	{ 0xafa3a581, "vmemmap" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x89500720, "param_ops_uint" },
	{ 0x1f4b887c, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x24c00a72, "dev_set_name" },
	{ 0x6f6abd4e, "consume_skb" },
	{ 0x4390032b, "fc_lport_init" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d50ed7e, "fc_rport_destroy" },
	{ 0xbb5e876, "device_unregister" },
	{ 0x7f13bab5, "skb_dequeue" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x9eb1b7a9, "fc_rport_logoff" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x19b1fcd5, "fc_disc_init" },
	{ 0xa200ca3a, "fc_rport_login" },
	{ 0x2988cd81, "skb_queue_purge_reason" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xf7a794c9, "fc_linkdown" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xda7f232, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xcfd8dbb4, "skb_queue_tail" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x507f540a, "fc_lport_reset" },
	{ 0x8d8d5da6, "bus_unregister" },
	{ 0x395afb9c, "init_net" },
	{ 0x395f0cdb, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xbdf4f572, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x73ef2fe8, "skb_push" },
	{ 0xad4aee39, "strncpy" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x119f1974, "fc_lport_set_local_id" },
	{ 0xf173e3aa, "fc_exch_recv" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x9587a171, "__ethtool_get_link_ksettings" },
	{ 0xeb8d6248, "device_register" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xb2247256, "fc_vport_id_lookup" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0xdde820aa, "fc_elsct_init" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc0aaf659, "fc_disc_config" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2674efb0, "__pskb_pull_tail" },
	{ 0x1cf544f2, "fc_fcp_init" },
	{ 0x67310591, "__netdev_alloc_skb" },
	{ 0x7153088d, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe798236d, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7adcb64b, "__dev_queue_xmit" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa6b71e61, "alloc_pages" },
	{ 0x1588513b, "__folio_put" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x50e40674, "dev_get_by_name" },
	{ 0xfda2a14f, "skb_clone" },
	{ 0x17a6fea4, "fc_seq_els_rsp_send" },
	{ 0xb0ddd5a1, "fc_rport_flush_queue" },
	{ 0x92125378, "kmalloc_trace" },
	{ 0x4fed210b, "param_ops_int" },
	{ 0x5f519482, "fc_rport_create" },
	{ 0x19f69e5c, "_dev_printk" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xf363f5fe, "kmalloc_caches" },
	{ 0x6d331262, "fc_exch_init" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x79ec71f9, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6a46f840, "fc_linkup" },
	{ 0x44e37ce2, "module_layout" },
};

MODULE_INFO(depends, "libfc");


MODULE_INFO(srcversion, "3810A7131B8F0056C933A6F");

MODULE_INFO(suserelease, "SLE15-SP6");
