#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x152c35f3, "vhost_init_device_iotlb" },
	{ 0xafa3a581, "vmemmap" },
	{ 0x70d2562, "_copy_to_iter" },
	{ 0xaebd1abb, "misc_deregister" },
	{ 0xa72e020b, "vhost_vring_ioctl" },
	{ 0xd74948e3, "tap_get_ptr_ring" },
	{ 0xa3e645b5, "vhost_dev_flush" },
	{ 0x4099f919, "tun_ptr_free" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x9f08fe23, "vhost_vq_access_ok" },
	{ 0xd6c3cfa8, "vhost_dev_stop" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xc4adf073, "tap_get_socket" },
	{ 0xa66b7e, "iov_iter_advance" },
	{ 0x40810718, "fget" },
	{ 0xab838ccd, "vhost_dev_init" },
	{ 0x311796df, "vhost_dev_reset_owner" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb63d46a7, "iov_iter_init" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xc7e41a21, "vhost_poll_init" },
	{ 0x8eed2501, "vhost_vq_init_access" },
	{ 0x5c71d21a, "sched_clock" },
	{ 0xf16fc55f, "vhost_poll_stop" },
	{ 0xba5bc76c, "tun_get_tx_ring" },
	{ 0x1000e51, "schedule" },
	{ 0xed304472, "vhost_exceeds_weight" },
	{ 0x5f35561f, "vhost_poll_queue" },
	{ 0xd3bddbcc, "tun_get_socket" },
	{ 0xde960874, "vhost_discard_vq_desc" },
	{ 0xf4d9074f, "vhost_add_used_and_signal" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0x253f487, "compat_ptr_ioctl" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4060edaa, "fput" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xfd2b3e45, "vhost_dev_reset_owner_prepare" },
	{ 0x92805bed, "vhost_add_used_and_signal_n" },
	{ 0x6fb4b249, "vhost_dev_set_owner" },
	{ 0x1dcbf851, "vhost_chr_write_iter" },
	{ 0x73492855, "noop_llseek" },
	{ 0xe56fec3c, "vhost_get_vq_desc" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x30b4d632, "vhost_chr_read_iter" },
	{ 0xf094bde, "vhost_log_write" },
	{ 0x9f1e221f, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xaa8168ee, "vhost_vq_has_work" },
	{ 0xea516bc, "vhost_dev_ioctl" },
	{ 0x502c2405, "misc_register" },
	{ 0x7d2cae72, "vhost_disable_notify" },
	{ 0x6b8a9132, "vhost_dev_has_owner" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xa0c8d767, "vhost_clear_msg" },
	{ 0x64930401, "vhost_set_backend_features" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0xba5ee65e, "vhost_enable_notify" },
	{ 0xd549730c, "copy_page_from_iter" },
	{ 0x74c69d8c, "__page_frag_cache_drain" },
	{ 0xf07926a8, "vhost_log_access_ok" },
	{ 0x572af3fa, "vhost_dev_cleanup" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xa6b71e61, "alloc_pages" },
	{ 0xab653898, "vhost_chr_poll" },
	{ 0x1588513b, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x8b7bb0dd, "vhost_poll_start" },
	{ 0x8ba3eb59, "vq_meta_prefetch" },
	{ 0xd9a80ac8, "vhost_dev_check_owner" },
	{ 0x92125378, "kmalloc_trace" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0x4fed210b, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3503599, "sockfd_lookup" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xf363f5fe, "kmalloc_caches" },
	{ 0x75bb2ab7, "vhost_vq_avail_empty" },
	{ 0x44e37ce2, "module_layout" },
};

MODULE_INFO(depends, "vhost,tap,tun");


MODULE_INFO(srcversion, "34D78078BEC6EFE60DE335A");

MODULE_INFO(suserelease, "SLE15-SP6");
