#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(jbd2_journal_restart, 0x05fc054d, "");
SYMBOL_CRC(jbd2__journal_restart, 0x12d27263, "");
SYMBOL_CRC(jbd2_journal_start_reserved, 0x5e71b309, "");
SYMBOL_CRC(jbd2_journal_free_reserved, 0x231ac97a, "");
SYMBOL_CRC(jbd2_journal_start, 0x5643669c, "");
SYMBOL_CRC(jbd2__journal_start, 0x07a2ca67, "");
SYMBOL_CRC(jbd2_wait_inode_data, 0x6066596d, "");
SYMBOL_CRC(jbd2_submit_inode_data, 0x683b5b6a, "");
SYMBOL_CRC(jbd2_journal_put_journal_head, 0x406f60cd, "");
SYMBOL_CRC(jbd2_journal_grab_journal_head, 0x92f26de0, "");
SYMBOL_CRC(jbd2_journal_clear_features, 0x6984d556, "");
SYMBOL_CRC(jbd2_journal_update_sb_errno, 0xb0d2038f, "");
SYMBOL_CRC(jbd2_fc_release_bufs, 0xde3429b9, "");
SYMBOL_CRC(jbd2_fc_wait_bufs, 0xa40145d3, "");
SYMBOL_CRC(jbd2_fc_get_buf, 0x96852012, "");
SYMBOL_CRC(jbd2_complete_transaction, 0x5961c364, "");
SYMBOL_CRC(jbd2_transaction_committed, 0x01639148, "");
SYMBOL_CRC(jbd2_fc_end_commit_fallback, 0x27be8cde, "");
SYMBOL_CRC(jbd2_fc_end_commit, 0x64e24d72, "");
SYMBOL_CRC(jbd2_fc_begin_commit, 0x9099b022, "");
SYMBOL_CRC(jbd2_trans_will_send_data_barrier, 0xeb445c26, "");
SYMBOL_CRC(jbd2_inode_cache, 0xacd81eb3, "");
SYMBOL_CRC(jbd2_journal_begin_ordered_truncate, 0xa007322d, "");
SYMBOL_CRC(jbd2_journal_release_jbd_inode, 0x25d07606, "");
SYMBOL_CRC(jbd2_journal_init_jbd_inode, 0xa6fe627f, "");
SYMBOL_CRC(jbd2_journal_finish_inode_data_buffers, 0xa9ae5dee, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_wait, 0x7df9b17e, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_write, 0xc583d377, "");
SYMBOL_CRC(jbd2_journal_force_commit, 0x951be042, "");
SYMBOL_CRC(jbd2_journal_try_to_free_buffers, 0xc0bf1260, "");
SYMBOL_CRC(jbd2_journal_invalidate_folio, 0x1da400c4, "");
SYMBOL_CRC(jbd2_journal_blocks_per_page, 0xe606800c, "");
SYMBOL_CRC(jbd2_journal_wipe, 0x8bb544ec, "");
SYMBOL_CRC(jbd2_journal_force_commit_nested, 0x858f5d8a, "");
SYMBOL_CRC(jbd2_journal_start_commit, 0x02e0ab7b, "");
SYMBOL_CRC(jbd2_log_wait_commit, 0x83ff6652, "");
SYMBOL_CRC(jbd2_journal_clear_err, 0x104b28c7, "");
SYMBOL_CRC(jbd2_journal_ack_err, 0xc15bd5df, "");
SYMBOL_CRC(jbd2_journal_errno, 0x87b03047, "");
SYMBOL_CRC(jbd2_journal_abort, 0xa6efd7a4, "");
SYMBOL_CRC(jbd2_journal_destroy, 0x78c1a88d, "");
SYMBOL_CRC(jbd2_journal_load, 0x781d20f3, "");
SYMBOL_CRC(jbd2_journal_set_features, 0x63901182, "");
SYMBOL_CRC(jbd2_journal_check_available_features, 0x4a19ef71, "");
SYMBOL_CRC(jbd2_journal_check_used_features, 0xfd543430, "");
SYMBOL_CRC(jbd2_journal_init_inode, 0x16396817, "");
SYMBOL_CRC(jbd2_journal_init_dev, 0xb1cc0541, "");
SYMBOL_CRC(jbd2_journal_revoke, 0xe722f995, "");
SYMBOL_CRC(jbd2_journal_flush, 0x95efebc4, "");
SYMBOL_CRC(jbd2_journal_forget, 0xe612e255, "");
SYMBOL_CRC(jbd2_journal_dirty_metadata, 0x79c20080, "");
SYMBOL_CRC(jbd2_journal_set_triggers, 0x3ed687f5, "");
SYMBOL_CRC(jbd2_journal_get_undo_access, 0xda4752c0, "");
SYMBOL_CRC(jbd2_journal_get_create_access, 0x91d6bb84, "");
SYMBOL_CRC(jbd2_journal_get_write_access, 0x9fc1f571, "");
SYMBOL_CRC(jbd2_journal_unlock_updates, 0x0f52e0ac, "");
SYMBOL_CRC(jbd2_journal_lock_updates, 0x4649af28, "");
SYMBOL_CRC(jbd2_journal_stop, 0x9b3ba9ac, "");
SYMBOL_CRC(jbd2_journal_extend, 0xa271a6df, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0x8c5d3e66, "bh_uptodate_or_lock" },
	{ 0xafa3a581, "vmemmap" },
	{ 0x2a4681b4, "blk_start_plug" },
	{ 0x6312d566, "bpf_trace_run4" },
	{ 0x551b7e37, "folio_unlock" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xd4cfbfbe, "seq_release" },
	{ 0x98de1c15, "snprintf" },
	{ 0x7f867dce, "trace_raw_output_prep" },
	{ 0x62291a96, "bpf_trace_run6" },
	{ 0xca528dbd, "mark_buffer_dirty" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xb4293353, "__find_get_block" },
	{ 0xaedab433, "__trace_trigger_soft_disabled" },
	{ 0xd95b4b2e, "filemap_fdatawrite_range" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x2d95f267, "trace_event_printf" },
	{ 0x396ce3b3, "__bforget" },
	{ 0x70a5f9ad, "write_dirty_buffer" },
	{ 0xee44e791, "register_shrinker" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x69097457, "crc32_be" },
	{ 0x6f200870, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x3bbb8d5e, "iput" },
	{ 0xec3caa44, "seq_lseek" },
	{ 0x57ee4570, "blockdev_superblock" },
	{ 0x49aaa46, "proc_create_data" },
	{ 0xe32af6d5, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x6a0d6693, "kmem_cache_create" },
	{ 0x3eea0d4a, "bpf_trace_run8" },
	{ 0x3f1f1ab8, "submit_bh" },
	{ 0xdf6d476e, "__percpu_counter_init" },
	{ 0x25adc69a, "alloc_buffer_head" },
	{ 0xfd331753, "wake_up_process" },
	{ 0x9f58891f, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x21f21ab9, "crypto_destroy_tfm" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x5dd76e44, "mutex_lock_io" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xc003133b, "try_to_free_buffers" },
	{ 0xd525ac5d, "sync_blockdev" },
	{ 0x9e1d90, "free_buffer_head" },
	{ 0x897e3a75, "unregister_shrinker" },
	{ 0xc3e8126c, "kmem_cache_alloc" },
	{ 0xf10a9285, "blk_finish_plug" },
	{ 0x13d929a0, "__cond_resched_lock" },
	{ 0x800473f, "__cond_resched" },
	{ 0x380ec283, "bit_waitqueue" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8e595483, "__brelse" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xd7d73cb6, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0x24d273d1, "add_timer" },
	{ 0xef18517c, "__bh_read_batch" },
	{ 0x3bd3ad77, "bpf_trace_run5" },
	{ 0x5e17760a, "__wait_on_buffer" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x5a970bce, "kmem_cache_free" },
	{ 0xcec7189, "__bh_read" },
	{ 0x5c9263ce, "trace_event_reg" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0xc5c741ab, "blkdev_issue_zeroout" },
	{ 0xfdd5bff7, "filemap_fdatawait_range_keep_errors" },
	{ 0x6d350a80, "crypto_shash_update" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x966f598, "freezing_slow_path" },
	{ 0x4e90c137, "bpf_trace_run1" },
	{ 0x924d1d26, "proc_mkdir" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xde1f0963, "set_bh_page" },
	{ 0xe798236d, "jiffies" },
	{ 0x4f4f0c14, "kthread_create_on_node" },
	{ 0xa619ba2e, "bpf_trace_run3" },
	{ 0x62ba6b92, "seq_read" },
	{ 0x9a8e7fb8, "unlock_buffer" },
	{ 0x7c66879d, "__getblk_gfp" },
	{ 0x8913435f, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x90abb542, "prepare_to_wait_exclusive" },
	{ 0x4d5fe525, "percpu_counter_add_batch" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x1588513b, "__folio_put" },
	{ 0xbffeae07, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3263aecd, "seq_printf" },
	{ 0x76ef00c4, "__lock_buffer" },
	{ 0x13714d65, "truncate_inode_pages_range" },
	{ 0x25183faf, "blkdev_issue_flush" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x552af18d, "end_buffer_write_sync" },
	{ 0x3ddbdc8, "seq_open" },
	{ 0x92125378, "kmalloc_trace" },
	{ 0xb438f45d, "bmap" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x6a460dc5, "schedule_hrtimeout" },
	{ 0xa3b06dde, "percpu_counter_destroy" },
	{ 0xfd35c5a1, "crypto_alloc_shash" },
	{ 0x7410aba2, "strreplace" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xf363f5fe, "kmalloc_caches" },
	{ 0xc6bddfcb, "kmem_cache_destroy" },
	{ 0xac0e9b9c, "blkdev_issue_discard" },
	{ 0x44e37ce2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C6526AEA90B95CEB5FF4249");

MODULE_INFO(suserelease, "SLE15-SP6");
